## org.gnu.glib
Class EventType

    java.lang.Object
      org.gnu.glib.EventType

Direct Known Subclasses:
  AdjustmentEvent.Type, ButtonEvent.Type, CalendarEvent.Type, CellEditableEvent.Type, CellRendererTextEvent.Type, CellRendererToggleEvent.Type, CheckMenuItemEvent.Type, ColorButtonEvent.Type, ColorSelectionEvent.Type, ComboBoxEvent.Type, ContainerEvent.Type, DialogEvent.Type, EntryCompletionEvent.Type, EntryEvent.Type, ExpanderEvent.Type, ExposeEvent.Type, FocusEvent.Type, FontButtonEvent.Type, HandleBoxEvent.Type, IconViewEvent.Type, ItemEvent.Type, KeyEvent.Type, LifeCycleEvent.Type, MenuItemEvent.Type, MouseEvent.Type, MouseMotionEvent.Type, NotebookEvent.Type, OptionMenuEvent.Type, RangeEvent.Type, ScaleEvent.Type, SpinEvent.Type, StatusBarEvent.Type, TextBufferEvent.Type, TextViewEvent.Type, ToggleEvent.Type, ToggleToolButtonEvent.Type, ToolBarEvent.Type, ToolButtonEvent.Type, TreeModelEvent.Type, TreeSelectionEvent.Type, TreeViewColumnEvent.Type, TreeViewEvent.Type, UIManagerEvent.Type

public class EventType
extends java.lang.Object

Represents a particular type of an event. Each `GtkEvent` has an associated type.

Constructor Summary
`EventType(int typeID, java.lang.String typeName)` Constructs a new event type

Method Summary
`int` `getID()`
`java.lang.String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventType

    public EventType(int typeID,
                     java.lang.String typeName)

  Constructs a new event type

Parameters:
  `typeID` - Type Identifier
  `typeName` - String to be displayed as part of the event.toString method.

Method Detail

### getID

    public int getID()

### getName

    public java.lang.String getName()